Status
Not open for further replies.

cPanelTabby

Member
Staff member
Dec 13, 2019
14
5
78
cPanel, Houston TX
cPanel Access Level
Root Administrator
We are happy to announce that cPanel, L.L.C. has released an update for EasyApache 4! Take a look at some highlights below, and then join us on Discord or Reddit to talk about this update and much more.

2020-8-12
ea-apache2
ea-php74
  • EA-9224: Update ea-php74 to 7.4.9, drop 7.4.8 (with fix for CVE-2020-7068).
ea-php74-meta
  • EA-9224: Update ea-php74 to 7.4.9, drop 7.4.8.
scl-php73
  • EA-9223: Update scl-php73 to 7.3.21, drop 7.3.20 (with fix for CVE-2020-7068).
scl-php73-meta
  • EA-9223: Update scl-php73 to 7.3.21, drop 7.3.20.
scl-php72
  • EA-9222: Update scl-php72 to 7.2.33, drop 7.2.32 (with fix for CVE-2020-7068).
scl-php72-meta
  • EA-9222: Update scl-php72 to 7.2.33, drop 7.2.32.
libcurl
  • EA-9138: Update libcurl to 7.71.1, drop 7.71.0.
scl-ruby24-passenger
  • EA-9221: Include the cxxbuilder files with the source code installed by mod_passenger.
This release includes a security patch that has been issued a fix for a CVE (Common Vulnerabilities and Exposures), the details of which are included below.

SUMMARY
cPanel, L.L.C. has updated RPMs for EasyApache 4 with Apache version 2.4.46 and PHP versions 7.4.9, 7.3.21, and 7.2.33. This release addresses vulnerabilities related to CVE-2020-7068, CVE-2020-11984, and CVE-2020-11993. We strongly encourage all Apache 2.4 users to upgrade to version 2.4.46, all PHP 7.4 users to upgrade to version 7.4.9, all PHP 7.3 users to upgrade to version 7.3.21, and all PHP 7.2 users to upgrade to version 7.2.33.


AFFECTED VERSIONS
All versions of Apache through 2.4.43. (Apache versions 2.4.44 and 2.4.45 were not released.)
All versions of PHP 7.4 through 7.4.8.
All versions of PHP 7.3 through 7.3.20.
All versions of PHP 7.2 through 7.2.32.


SECURITY RATING
The National Vulnerability Database (NIST) has given the following severity ratings to these CVEs:

CVE-2020-7068 - MEDIUM
PHP 7.2.33
Fixed bug in the Phar module related to CVE-2020-7068.

PHP 7.3.21
Fixed bug in the Phar module related to CVE-2020-7068.

PHP 7.4.9
Fixed bug in the Phar module related to CVE-2020-7068.

CVE-2020-11984 - MEDIUM
Apache 2.4.46
Fixed bug related to CVE-2020-11984.

CVE-2020-11993 - MEDIUM
Apache 2.4.46
Fixed bug related to CVE-2020-11993.


SOLUTION
cPanel, L.L.C. has released updated RPMs for EasyApache 4 on August 12, 2020, with updated versions of Apache 2.4.46 and PHP versions 7.2.33, 7.3.21, and 7.4.9. Unless you have enabled automatic RPM updates in your cron, update your system with either yum update or WHM's Run System Update interface.


REFERENCES
https://nvd.nist.gov/vuln/detail/CVE-2020-7068
https://nvd.nist.gov/vuln/detail/CVE-2020-11984
https://nvd.nist.gov/vuln/detail/CVE-2020-11993
https://downloads.apache.org/httpd/CHANGES_2.4.46
https://www.php.net/ChangeLog-7.php



More Information

Information about all releases this year can be found in the 2020 EasyApache 4 Changelog and the EasyApache 4 Release Notes. To ensure that you receive up-to-date product news from cPanel, we encourage you to subscribe to the Product and Security updates mailing list on our website. You can also sign up for our EasyApache Development and EasyApache Production lists to see when updates are pushed for our RPMs, letting you know ahead of time what will be updated in each EasyApache release.
 
  • Like
Reactions: mirecart
Status
Not open for further replies.